commit:     f7fe1f80adc9850711d62f74181f03c8b6989130
Author:     Azat Bahawi <azahi <AT> teknik <DOT> io>
AuthorDate: Sat Sep  5 20:03:25 2020 +0000
Commit:     Gergely Nagy <ngg <AT> ngg <DOT> hu>
CommitDate: Tue Sep 15 16:11:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/dotnet.git/commit/?id=f7fe1f80

dev-dotnet/dotnetcore-sdk-bin: Allow openssl-compat

Remove direct dependency on dev-libs/openssl by allowing
dev-libs/openssl-compat. This can be used as a workaround for merging
dotnetcore on a system that uses dev-libs/libressl.

Closes: https://github.com/gentoo/dotnet/pull/479
Signed-off-by: Gergely Nagy <ngg <AT> ngg.hu>

 dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.810.ebuild     | 2 +-
 dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.2.207.ebuild     | 2 +-
 dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.0.103.ebuild     | 2 +-
 dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.1.402.ebuild     | 2 +-
 dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-5.0.100_rc1.ebuild | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.810.ebuild 
b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.810.ebuild
index 170b4af..46ff3b9 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.810.ebuild
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.810.ebuild
@@ -30,7 +30,7 @@ RDEPEND="
        >=sys-libs/libunwind-1.1-r1
        >=dev-libs/icu-57.1
        >=dev-util/lttng-ust-2.8.1
-       >=dev-libs/openssl-1.0.2h-r2
+       || ( >=dev-libs/openssl-1.0.2h-r2 >=dev-libs/openssl-compat-1.0.2h-r2 )
        >=net-misc/curl-7.49.0
        >=app-crypt/mit-krb5-1.14.2
        >=sys-libs/zlib-1.2.8-r1

diff --git a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.2.207.ebuild 
b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.2.207.ebuild
index 97e12c4..381544d 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.2.207.ebuild
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.2.207.ebuild
@@ -30,7 +30,7 @@ RDEPEND="
        >=sys-libs/libunwind-1.1-r1
        >=dev-libs/icu-57.1
        >=dev-util/lttng-ust-2.8.1
-       >=dev-libs/openssl-1.0.2h-r2
+       || ( >=dev-libs/openssl-1.0.2h-r2 >=dev-libs/openssl-compat-1.0.2h-r2 )
        >=net-misc/curl-7.49.0
        >=app-crypt/mit-krb5-1.14.2
        >=sys-libs/zlib-1.2.8-r1

diff --git a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.0.103.ebuild 
b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.0.103.ebuild
index 6f84224..2a612ec 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.0.103.ebuild
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.0.103.ebuild
@@ -30,7 +30,7 @@ RDEPEND="
        >=sys-libs/libunwind-1.1-r1
        >=dev-libs/icu-57.1
        >=dev-util/lttng-ust-2.8.1
-       >=dev-libs/openssl-1.0.2h-r2
+       || ( >=dev-libs/openssl-1.0.2h-r2 >=dev-libs/openssl-compat-1.0.2h-r2 )
        >=net-misc/curl-7.49.0
        >=app-crypt/mit-krb5-1.14.2
        >=sys-libs/zlib-1.2.8-r1

diff --git a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.1.402.ebuild 
b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.1.402.ebuild
index 0740da2..fbc6aff 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.1.402.ebuild
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.1.402.ebuild
@@ -30,7 +30,7 @@ RDEPEND="
        >=sys-libs/libunwind-1.1-r1
        >=dev-libs/icu-57.1
        >=dev-util/lttng-ust-2.8.1
-       >=dev-libs/openssl-1.0.2h-r2
+       || ( >=dev-libs/openssl-1.0.2h-r2 >=dev-libs/openssl-compat-1.0.2h-r2 )
        >=net-misc/curl-7.49.0
        >=app-crypt/mit-krb5-1.14.2
        >=sys-libs/zlib-1.2.8-r1

diff --git 
a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-5.0.100_rc1.ebuild 
b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-5.0.100_rc1.ebuild
index 39630d4..87605fd 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-5.0.100_rc1.ebuild
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-5.0.100_rc1.ebuild
@@ -32,7 +32,7 @@ RDEPEND="
        >=sys-libs/libunwind-1.1-r1
        >=dev-libs/icu-57.1
        >=dev-util/lttng-ust-2.8.1
-       >=dev-libs/openssl-1.0.2h-r2
+       || ( >=dev-libs/openssl-1.0.2h-r2 >=dev-libs/openssl-compat-1.0.2h-r2 )
        >=net-misc/curl-7.49.0
        >=app-crypt/mit-krb5-1.14.2
        >=sys-libs/zlib-1.2.8-r1

Reply via email to